<?php
/**
  @licence GPL 2005-2010  The osCSS developers - osCSS Open Source E-commerce
  @package oscss-2 <www http://www.oscss.org>
  @version 2.1.0
  @date  15/11/10, 11:28
  @author oscim <mail aurelien@oscim.fr> <www http://www.oscim.fr>
  @encode UTF-8

  @class cfg_35

  Gestion des textes pour les commentaire et detail lors des reponses au retour

*/

Class cfg_35{

  public static $languages;

  public static $textes;

  /**
    Le contructeur, init la class, et ce charge de l'appel vers le fichier de langues
  */
  function __construct(){

    $this->code='cfg_35';

    global $messageStack, $language,$oscss;

    $oscss->pile_file_lang(DIR_FS_ADMIN.DIR_WS_LANGUAGES.$language.'/modules/configuration/'.$this->code.'.txt');

    self::$languages = tep_get_languages();
  }


  /**
    Action en remplacement des action par defaut
  */
  public function draw_action(){
    global $action,$messageStack,$oscss;

    $row = $this->load_db_values();
    $DB=Database::getInstance();

    switch ($action) {
    case 'save':
        for ($i=0, $n=sizeof(self::$languages); $i<=$n; $i++) {
	  $aboutus = tep_db_prepare_input($_POST['aboutus'][$i]);
          $check = $DB->query("replace into " . TABLE_RETURNS_TEXT . " values (1, '" . $i . "', '"  . $aboutus ."')");
        }

        if (!$check) $messageStack->add(ERROR_ERROR_DB, 'error');
        else tep_redirect(tep_href_link(FILENAME_RETURNS_TEXT));
    break;
    default:
      $oscss->_add_ext(BO_WISIWYG_SELECTED,'editeur/');
      for ($i=0, $n=sizeof(self::$languages); $i<$n; $i++) {
        echo $oscss->_call(BO_WISIWYG_SELECTED,'_top','aboutus[' . self::$languages[$i]['id'] . ']','600','400');
      }
    }

  }

  /**
    Ce charge appel db pour recuperer les valeurs
  */
  public function load_db_values(){
    global $action,$languages_id;
      $DB=Database::getInstance();
      $sql=$DB->query("SELECT * FROM ".TABLE_RETURNS_TEXT." where return_text_id = '1' ");
      for ($i=0, $n=sizeof(self::$languages); $i<$n; $i++) {
        $row[$i]=$sql->fetchAssoc();
      }
    return $row;
  }

  /**
    Appelé dans le header de page
  */
  public static function draw_header(){
    echo '<script type="text/javascript"><!--'."\n".
    '$(function() {'."\n".
      "$('.tabs_lang').tabs().find('.ui-tabs-nav').sortable({axis:'x'});"."\n".
    '});'."\n".
    '// --></script>'."\n";
  }

  /**
    Contenu central
  */
  public function draw(){
    global $action,$gparentID,$current_theme, $oscss;
    self::$textes = $this->load_db_values();

    return tep_get_include_contents(__CLASS__.'.form');

  }
}


?>